# easyconf-lemonbar

A python script to easily configure lemonbar.

### Signals
You may update individual modules by sending a real-time signal to the
easyconf-lemonbar process. First, in the module configuration, specify which
signal to listen for, e.g.

```yaml
# Display a random number, and only update when we recieve the RTMIN+1 signal.
- name: "random"
  command: "python -c 'from random import randrange; print(randrange(1000))'"
  refresh: 0
  signal: 1
```

In the example above, the refresh is `0`. This means that the module *will never
refresh on its own*; it will wait for the RTMIN+1 signal. You may also configure
your module to both refresh on a time interval AND listen for a signal.

Unfortunately, to send the signal, you cant just `pkill easyconf-lemonbar`. You
have to read the PID from ECL's pidfile. I would recommend creating an alias in
your shell as shown below.

```sh
$ alias ecl_kill="cat /run/user/${UID}/easyconf-lemonbar.pid | xargs kill"
$ ecl_kill -RTMIN+1
```

This will refresh the module that is listening for signal `1`. To kill ecl
completely, just run `ecl_kill` (after setting the above alias).
